import {View, Text, StyleSheet, StyleProp, ViewStyle, TextStyle} from 'react-native';

interface BannerProps {
  text: string;
  style?: StyleProp<ViewStyle>;
  textStyle?: StyleProp<TextStyle>; // Nueva propiedad para estilos de texto
}

const Banner = ({text, style, textStyle}: BannerProps) => {
  return (
    <View style={StyleSheet.compose(styles.bannerContainer, style)}>
      <Text style={[styles.bannerText, textStyle]}>{text}</Text>       
    </View>
  );
};

const styles = StyleSheet.create({
  bannerContainer: { 
    justifyContent: 'center',
    paddingLeft: 8,
  },
  bannerText: {
    color: 'white',
    fontWeight: 'bold',
  },
});

export default Banner;
